{
    "name": "cs_scar20",
    "type": "Gun",
    "maxAmmoCapacity": 20,
    "compatibleAmmo": ["ammocreative", "ammo762x51"],
    "rpm": 240,
    "damage": 9.0,	
    "fireModes": ["SINGLE", "AUTOMATIC"],
    "fireSound": "scarl_unsilenced",
    "animationType": "rifle",
    "compatibleAttachments": [
        "cantedrail"
    ],
    "compatibleAttachmentGroups": [
        "ar_sightsandscopes",
		"snipers_sights",
        "ar_suppressors",
		"underbarrel",
        "cs_scar20_skins"	
    ],
    "defaultAttachments": [
        "hawk_scope"
    ],
    "gunRecoilInitialAmplitude" : 0.8,
    "shakeRecoilAmplitude" : 0.35,
    "shakeRecoilSpeed" : 2,
    "viewRecoilAmplitude" : 1.6,
    "phasedReloads": [
        {
            "phase": "RELOADING",
            "condition": { "allOf":[ { "onEmptyReload": true } ] },
            "duration": 2350,
            "animation": "animation.model.reloadempty"
        },
        {
            "phase": "RELOADING",
            "condition": { "allOf":[ { "onEmptyReload": false } ] },
            "duration": 1750,
            "animation": "animation.model.reload"
        }
    ],
    "drawAnimations": [
        {
            "name": "animation.model.draw",
            "duration": 650
        }
    ],
    "inspectAnimations": [
        {
            "name": "animation.model.inspect",
            "duration": 5500
        }
    ],
    "effects": [
        {
            "phase": "hit_scan_acquired",
            "name": "tracer"
        },
        {
            "phase": "firing",
            "name": "muzzle_flash_small"
        }
    ],
    "features": [
        {
            "type": "Aiming",
            "zoom": 0.25,
            "condition": {
                "allOf": [
                    { "doesNotHaveAttachmentGroup": "ar_sightsandscopes"},
                    { "doesNotHaveAttachmentGroup": "snipers_sights"},
                    { "unselectedFireMode": "laser_cannon"},
                    { "unselectedFireMode": "shotgun"}
                ]
            }
        },			
        {
            "type": "Sound",
            "fireSound": "scarl",
            "fireSoundVolume": 1,
            "condition": {
                "allOf": [
                    { "hasAttachmentGroup": "ar_suppressors"},
                    { "unselectedFireMode": "grenade_launcher"},
                    { "unselectedFireMode": "laser_cannon"},
                    { "unselectedFireMode": "shotgun"}
                ]
            }
        },
        {
            "type": "PartVisibility",
            "parts": [
                {
                    "name": "sights",
                    "visible": false,
                    "condition": {
                        "allOf": [{"hasAttachmentGroup": "m16_sightsandscopes"}]
                    }
                },
                {
                    "name": "rearsightflipped",
                    "visible": true,
                    "condition": {
                        "allOf": [{"hasAttachmentGroup": "m16_sightsandscopes"}]
                    }
                },
                {
                    "name": "frontsightflipped",
                    "visible": true,
                    "condition": {
                        "allOf": [{"hasAttachmentGroup": "m16_sightsandscopes"}]
                    }
                },
                {
                    "name": "scarl_kit",
                    "visible": false,
                    "condition": {
                        "allOf": [{"hasAttachment": "scarl_iss"}]
                    }
                }
            ]
        },
        {
            "type": "MuzzleFlash",
            "effects": [
                {
                    "phase": "firing",
                    "name": "muzzle_flash_small"
                }
            ],
            "condition": {
                "allOf": [
                    { "doesNotHaveAttachmentGroup": "ar_suppressors"},
                    { "unselectedFireMode": "grenade_launcher"},
                    { "unselectedFireMode": "laser_cannon"},
                    { "unselectedFireMode": "shotgun"}
                ]
            }
        }
    ],
    "glowingParts": [{"name": "glowy_new6"}]
}